<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Colorful Blog
 */
$colorful_blog_categories = get_the_category();
if ($colorful_blog_categories) {
	$colorful_blog_category = $colorful_blog_categories[mt_rand(0, count($colorful_blog_categories) - 1)];
} else {
	$colorful_blog_category = '';
}
if (has_post_thumbnail()) {
	$colorful_blog_imgclass = 'nx-has-img';
} else {
	$colorful_blog_imgclass = 'nx-no-img';
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('nx-list-item'); ?>>
	<div class="single-nx-list-item <?php echo esc_attr($colorful_blog_imgclass); ?>">
		<?php if (has_post_thumbnail()) : ?>
			<div class="nx-single-list-img">
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail('medium_large'); ?>
				</a>
			</div>
		<?php endif; ?>
		<div class="nx-single-list-details">
			<?php if ($colorful_blog_category) : ?>
				<a href="<?php echo esc_url(get_category_link($colorful_blog_category)); ?>" class="nx-list-categories"><?php echo esc_html($colorful_blog_category->name); ?></a>
			<?php endif; ?>
			<?php the_title('<h2 class="nx-list-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>'); ?>
			<?php the_excerpt(); ?>
			<a class="colorful-blog-readmore" href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE', 'colorful-blog'); ?> <i class="fas fa-long-arrow-alt-right"></i></a>

		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->